import { NgModule } from '@angular/core';
import { Routes, RouterModule, Router, NavigationEnd} from '@angular/router';
import { ComprobantesComponent } from './comprobantes/comprobantes.component';
import { AppBotonera } from './botonera/botonera.component';
import { LoginComponent } from './login/login.component';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';

const routes: Routes = [
  { path: 'comprobantes', component: ComprobantesComponent},
  { path: '', redirectTo: 'home', pathMatch: 'full' },
  { path: 'home', component: AppBotonera },
  { path: 'login', component: LoginComponent }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {

  constructor(public router: Router, public modalService: NgbModal) {

    this.router.events.subscribe(() => {
      this.modalService.dismissAll();
    });
  }

}
